PumpStreamHandler.ThreadWithPumper (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.PumpStreamHandler.ThreadWithPumper class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class PumpStreamHandler.ThreadWithPumper

    java.lang.Object
      java.lang.Thread
          org.apache.tools.ant.taskdefs.PumpStreamHandler.ThreadWithPumper

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  PumpStreamHandler

    protected static class PumpStreamHandler.ThreadWithPumper

extends java.lang.Thread

Specialized subclass that allows access to the running StreamPumper.

Since:
  Ant 1.8.0

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`PumpStreamHandler.ThreadWithPumper(StreamPumper p)`

Method Summary
`protected StreamPumper` | `getPumper()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, run, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PumpStreamHandler.ThreadWithPumper

    public PumpStreamHandler.ThreadWithPumper(StreamPumper p)

Method Detail

### getPumper

    protected StreamPumper getPumper()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD